'----------------------------------------------------------------------------'
'                     NOKIA-1616 display library                             '
'                         resolution 128x160                                 '
'                                                                            '
'                         BASCOM-AVR  2.0.7.7                                '
'                         Shilov Sergey 2013                                '
'                            St-Peterburg                                    '
'                               RUSSIA                                       '
'                                                                            '
'----------------------------------------------------------------------------'
$regfile = "m168pdef.dat"
$crystal = 12000000
$hwstack = 64
$swstack = 64
$framesize = 64

'------------------------------- Setup -----------------------------------------
$lib "glcd-Nokia1616.lbx"
Config Graphlcd = Color , Controlport = Portd , Cs = 1 , Rs = 0 , Scl = 7 , Sda = 4

'------------------- Variables & Constants -------------------------------------
Const Blue = &B00000011                                     ''predefined contants are making programming easier
Const Yellow = &B11111100
Const Red = &B11100000
Const Green = &B00011100
Const Black = &B00000000
Const White = &B11111111
Const Brightgreen = &B00111110
Const Darkgreen = &B00010100
Const Darkred = &B10100000
Const Darkblue = &B00000010
Const Brightblue = &B00011111
Const Orange = &B11111000
Const Violet = &B11100011

Dim I As Byte , N As Byte , M As Byte , P As Byte 
'============================ Main prog ========================================
Initlcd
Cls

Do

Cls

Boxfill(0 , 0) -(131 , 161) , Blue

Boxfill(0 , 0) -(131 , 161) , Green
Boxfill(0 , 0) -(131 , 161) , Red
Boxfill(0 , 0) -(131 , 161) , Violet
Boxfill(0 , 0) -(131 , 161) , Yellow

Box(1 , 1) -(126 , 159) , Red
Boxfill(3 , 3) -(124 , 157) , Blue

Setfont Color8x8
For I = 5 To 155 Step 8
Lcdat I , 7 , "Nokia 1616" , Orange , Blue
Next I

Wait 1

Setfont Color16x16
For I = 5 To 140 Step 16
Lcdat I , 7 , "Nokia" , Red , Blue
Next I

Wait 1

For I = 1 To 59 Step 4
Circle(64 , 80) , I , Green
Next I

For I = 0 To 159 Step 4
Line(0 , I) -(64 , 80) , Yellow
Line(127 , I) -(64 , 80) , Yellow
Next I
For I = 0 To 127 Step 4
Line(i , 0) -(64 , 80) , Yellow
N = 127 - I
Line(n , 159) -(64 , 80) , Yellow
Next I


Wait 1

Cls
For M = 0 To 150 Step 16
For I = 0 To 120 Step 16
N = I + 12
P = M + 12
Boxfill(i , M) -(n , P) , White
Next I
Next M

For M = 0 To 150 Step 16
For I = 0 To 120 Step 16
N = I + 12
P = M + 12
Boxfill(i , M) -(n , P) , Blue
Next I
Next M

For M = 0 To 150 Step 16
For I = 0 To 120 Step 16
N = I + 12
P = M + 12
Boxfill(i , M) -(n , P) , Darkred
Next I
Next M

For M = 0 To 150 Step 16
For I = 0 To 120 Step 16
N = I + 12
P = M + 12
Boxfill(i , M) -(n , P) , Yellow
Next I
Next M

Showpic 12 , 15 , Mickey

Wait 3

Loop

End

'-------------------------------------------------------------------------------
$include "color8x8.font"
$include "color16x16.font"
Mickey:
$bgf "Mickey.bgc"